%define srcname perlqt
%define rel 1
%define subrel 1

Name: perl-qt4
Summary: Qt bindings for Perl
Version: 4.8.5
Release: %mkrel %{rel}
Epoch: 1
Group: Development/KDE and Qt
License: GPLv2 and Artistic and GPLv3 and LGPLv2
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%srcname-%version.tar.xz
Patch0: perlqt-4.8.1-link.patch
BuildRequires: smokeqt-devel >= 1:%version
BuildRequires: perl-devel
BuildRequires: db4-devel
BuildRequires: gdbm-devel
BuildRequires: cmake

Conflicts: perl-kde < 1:4.6.90

%description
A Qt4 bindings for perl language.

%files 
%doc MANIFEST README
%_bindir/puic4
%_bindir/prcc4_bin
%_bindir/qdbusxml2perl
%perl_sitearch/Qt*.pm
%perl_sitearch/QtCore4
%perl_sitearch/auto/Qt*
%perl_sitelib/*/Phonon.pm
%perl_sitelib/*/QImageBlitz.pm
%perl_sitelib/*/Qsci.pm
%perl_sitelib/*/Qwt.pm
%perl_sitelib/*/auto/Phonon/Phonon.so
%perl_sitelib/*/auto/QImageBlitz/QImageBlitz.so
%perl_sitelib/*/auto/Qsci/Qsci.so
%perl_sitelib/*/auto/Qwt/Qwt.so

#------------------------------------------------------------------------------

%package devel
Summary: Headers files for %{name}
Group: Development/KDE and Qt
Requires: smokeqt-devel >= 1:%version
Requires: perl-devel
Requires: db4-devel
Requires: gdbm-devel
Requires: %{name} = %epoch:%version-%release

%description devel
Headers files for %{name}

%files devel
%dir %_includedir/%srcname
%_includedir/%srcname/QtCore4.h
%_includedir/%srcname/binding.h
%_includedir/%srcname/handlers.h
%_includedir/%srcname/listclass_macros.h
%_includedir/%srcname/marshall.h
%_includedir/%srcname/marshall_basetypes.h
%_includedir/%srcname/marshall_complex.h
%_includedir/%srcname/marshall_macros.h
%_includedir/%srcname/marshall_primitives.h
%_includedir/%srcname/marshall_types.h
%_includedir/%srcname/perlqt.h
%_includedir/%srcname/ppport.h
%_includedir/%srcname/smokehelp.h
%_includedir/%srcname/smokeperl.h
%_includedir/%srcname/util.h
%dir %_datadir/%srcname
%_datadir/%srcname/cmake/FindPerlMore.cmake
%_datadir/%srcname/cmake/PerlQtConfig.cmake
%_datadir/%srcname/cmake/PerlQtExport-release.cmake
%_datadir/%srcname/cmake/PerlQtExport.cmake
%_datadir/%srcname/doxsubpp.pl

#------------------------------------------------------------

%prep
%setup -q -n %srcname-%version
%patch0 -p1

%build
export LD=/usr/bin/ld.gold 
%cmake_qt4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Mon Aug 06 2012 mikala <mikala> 1:4.8.5-1.1.mga2
+ Revision: 279075
- Update tarball to KDE SC 4.8.5
- Update tarball to 4.8.4

  + fwang <fwang>
    - new version 4.8.2

* Fri Mar 09 2012 fwang <fwang> 1:4.8.1-1.mga2
+ Revision: 221894
- update file list
- fix linkage
- new version 4.8.1

  + mikala <mikala>
    - New upstream tarball

* Wed Jan 25 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 201119
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-1.mga2
+ Revision: 190881
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 185801
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182213
- Update tarball to KDE SC 4.7.90
- fix macros usage
- fix BuildRequires
- use gold for linker

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176570
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-1.mga2
+ Revision: 161426
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151990
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140680
- Update tarball to KDE SC 4.7.1
- Fix license tag
- Fix BuildRequires
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use kde4 macros

* Mon Jul 11 2011 mikala <mikala> 1:4.6.95-0.mga2
+ Revision: 122561
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 1:4.6.90-2.mga2
+ Revision: 115968
- Fix file list
- Add missing requires for -devel package
- Add more requires for -devel package
- Add conflicts against perl-kde
- imported package perl-qt4

